Saltar al contenido principal
POST
/
2
/
media
/
subtitles
Crear subtítulos de medios
curl --request POST \
  --url https://api.x.com/2/media/subtitles \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "1146654567674912769",
  "media_category": "TweetVideo",
  "subtitles": {
    "display_name": "English",
    "id": "1146654567674912769",
    "language_code": "EN"
  }
}
'
{
  "data": {
    "associated_subtitles": [
      {
        "display_name": "English",
        "id": "1146654567674912769",
        "language_code": "EN"
      }
    ],
    "id": "1146654567674912769",
    "media_category": "TweetVideo"
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Cuerpo

application/json
id
string

El identificador único de este contenido multimedia.

Pattern: ^[0-9]{1,19}$
Ejemplo:

"1146654567674912769"

media_category
enum<string>

La categoría del contenido multimedia subido a la que se deben agregar o de la que se deben eliminar subtítulos.

Opciones disponibles:
AmplifyVideo,
TweetVideo
Ejemplo:

"TweetVideo"

subtitles
object

Respuesta

La solicitud se ha completado correctamente.

data
object
errors
object[]
Minimum array length: 1

Un objeto HTTP Problem Details, tal como se define en el IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).